summaryrefslogtreecommitdiff
path: root/libgo/mksysinfo.sh
diff options
context:
space:
mode:
authorIan Lance Taylor <ian@gcc.gnu.org>2015-07-29 21:42:30 +0000
committerIan Lance Taylor <ian@gcc.gnu.org>2015-07-29 21:42:30 +0000
commitd266c7e94361a00ac5258e0a11e3d508efbf996a (patch)
treeca2504de9f59af9d650eaa5555508488de85a99f /libgo/mksysinfo.sh
parentac73bb4c82b35c4c7467b36078564ae7baaa9033 (diff)
syscall: Fix to libgo/mksysinfo.sh
In a recent change to mksysinfo.sh, a space was missing on some lines which caused the libgo build to hang on some systems. This corrects that problem. Fixes golang/go#11924 Reviewed-on: https://go-review.googlesource.com/12835 From-SVN: r226366
Diffstat (limited to 'libgo/mksysinfo.sh')
-rwxr-xr-xlibgo/mksysinfo.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/libgo/mksysinfo.sh b/libgo/mksysinfo.sh
index 029098ffaaf..942e8319ea5 100755
--- a/libgo/mksysinfo.sh
+++ b/libgo/mksysinfo.sh
@@ -1026,19 +1026,19 @@ if ! grep '^const TUNDETACHFILTER' ${OUT} >/dev/null 2>&1; then
fi
fi
-if ! grep '^const TUNGETVNETHDRSZ'${OUT} >/dev/null 2>&1; then
+if ! grep '^const TUNGETVNETHDRSZ' ${OUT} >/dev/null 2>&1; then
if grep '^const _TUNGETVNETHDRSZ_val' ${OUT} >/dev/null 2>&1; then
echo 'const TUNGETVNETHDRSZ = _TUNGETVNETHDRSZ_val' >> ${OUT}
fi
fi
-if ! grep '^const TUNSETVNETHDRSZ'${OUT} >/dev/null 2>&1; then
+if ! grep '^const TUNSETVNETHDRSZ' ${OUT} >/dev/null 2>&1; then
if grep '^const _TUNSETVNETHDRSZ_val' ${OUT} >/dev/null 2>&1; then
echo 'const TUNSETVNETHDRSZ = _TUNSETVNETHDRSZ_val' >> ${OUT}
fi
fi
-if ! grep '^const TUNSETQUEUE'${OUT} >/dev/null 2>&1; then
+if ! grep '^const TUNSETQUEUE' ${OUT} >/dev/null 2>&1; then
if grep '^const _TUNSETQUEUE_val' ${OUT} >/dev/null 2>&1; then
echo 'const TUNSETQUEUE = _TUNSETQUEUE_val' >> ${OUT}
fi